
---
  - name: Remove a directory /opt/rola/ams/linux/webclient-services/rsAmsBvService-8.0.8.0 if it does exist
    file:          
      path: /opt/rola/ams/linux/webclient-services/rsAmsBvService-8.0.8.0
      state: absent
    notify:
      - stopALL
      - startALL
  - name: Remove a directory /opt/rola/ams/linux/webclient-services/SharedComponents-8.0.8.0/ if it does exist
    file:          
      path: /opt/rola/ams/linux/webclient-services/SharedComponents-8.0.8.0/
      state: absent
    notify:
      - stopALL
      - startALL
  - name: synchronize Folder remote from /sw/AMS/WEB/Lieferung_0013_8.0.9.0_AMS_BBTA1_HF2_BV-Schnittstelle/linux/webclient-services/rsAmsBvService-8.0.9.0 to /opt/rola/ams/linux/webclient-services
    synchronize:
      src: /sw/AMS/WEB/Lieferung_0013_8.0.9.0_AMS_BBTA1_HF2_BV-Schnittstelle/linux/webclient-services/rsAmsBvService-8.0.9.0
      dest: /opt/rola/ams/linux/webclient-services/
    delegate_to: "{{ ansible_facts['default_ipv4']['address'] }}"
  - name: synchronize Folder remote from /sw/AMS/WEB/Lieferung_0013_8.0.9.0_AMS_BBTA1_HF2_BV-Schnittstelle/linux/webclient-services/SharedComponents-8.0.9.0 to /opt/rola/ams/linux/webclient-services
    synchronize:
      src: /sw/AMS/WEB/Lieferung_0013_8.0.9.0_AMS_BBTA1_HF2_BV-Schnittstelle/linux/webclient-services/SharedComponents-8.0.9.0
      dest: /opt/rola/ams/linux/webclient-services/
    delegate_to: "{{ ansible_facts['default_ipv4']['address'] }}" 
  - name: Template file rsAmsBvService.conf.j2 with owner and permissions 
    template:
      src: ./templates/rsAmsBvService.conf.j2
      dest: /opt/rola/ams/linux/webclient-services/rsAmsBvService-8.0.9.0/service/config/rsAmsBvService.conf
      owner: jetty 
      group: dba
      mode: '0644'
    notify:
      - stopALL
      - startALL
  - name: Template file tech.database.yaml.j2 with owner and permissions 
    template:
      src: ./templates/tech.database.yaml.j2
      dest: /opt/rola/ams/linux/webclient-services/rsAmsBvService-8.0.9.0/frameworkconfig/prefs/tech.database.yaml
      owner: jetty 
      group: dba
      mode: '0644' 
    notify:
      - stopALL
      - startALL
  - name: Copy file psc.sh with owner and permissions 
    copy:
      src: ./files/psc.sh
      dest: /home/jetty/psc.sh
      force: yes
      owner: jetty
      group: dba
      mode: '0755'            
  - name: Copy file startadmin with owner and permissions 
    copy:
      src: ./files/startadmin
      dest: /home/jetty/startadmin
      force: yes
      owner: jetty
      group: dba
      mode: '0755'
  - name: Copy file startALL with owner and permissions 
    copy:
      src: ./files/startALL
      dest: /home/jetty/startALL
      force: yes
      owner: jetty
      group: dba
      mode: '0755'  
  - name: Copy file startALLwoa with owner and permissions 
    copy:
      src: ./files/startALLwoa
      dest: /home/jetty/startALLwoa
      force: yes
      owner: jetty
      group: dba
      mode: '0755'
  - name: Copy file startapps with owner and permissions 
    copy:
      src: ./files/startapps
      dest: /home/jetty/startapps
      force: yes
      owner: jetty
      group: dba
      mode: '0755'
  - name: Copy file stopadmin with owner and permissions 
    copy:
      src: ./files/stopadmin
      dest: /home/jetty/stopadmin
      force: yes
      owner: jetty
      group: dba
      mode: '0755'
  - name: Copy file stopALL with owner and permissions 
    copy:
      src: ./files/stopALL
      dest: /home/jetty/stopALL
      force: yes
      owner: jetty
      group: dba
      mode: '0755'
  - name: Copy file stopALLwoa with owner and permissions 
    copy:
      src: ./files/stopALLwoa
      dest: /home/jetty/stopALLwoa
      force: yes
      owner: jetty
      group: dba
      mode: '0755'
  - name: Copy file stopapps with owner and permissions 
    copy:
      src: ./files/stopapps
      dest: /home/jetty/stopapps
      force: yes
      owner: jetty
      group: dba
      mode: '0755'
  ##nachfolgendes behebt einen fehler in der Schnittstelle
  ##siehe email frank hellwich vom 30.07.2020, 15.16 Uhr
  ##soll vorerst drin bleiben
  - name: Copy file message-code.mapping
    copy:
      src: message-code.mapping
      dest: /opt/rola/ams/linux/Services/config/module/imp20/vbs/message-code.mapping
      force: yes
      owner: jetty
      group: dba
      mode: '0644'  
  - name: commit changes to git
    shell: |
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/foundation/java/x64/linux/jre/lib/desktop/mime/packages/x-java-archive.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/foundation/java/x64/linux/jre/lib/desktop/mime/packages/x-java-jnlp-file.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/foundation/java/x86/linux/jre/lib/desktop/mime/packages/x-java-archive.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/foundation/java/x86/linux/jre/lib/desktop/mime/packages/x-java-jnlp-file.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/foundation/servicewrapper/license/wrapper-license-rsFRAME.conf
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/META-INF/persistence.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/BackendTransformer.meta.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/BackendTransformer_DEV.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/Importer.meta.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/Importer_DEV.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/ServicesErrorCodes.meta.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/ServicesErrorCodes_DEV.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/ServicesLogCodes.meta.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/ServicesLogCodes_DEV.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/Transformer.meta.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/Transformer_DEV.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/UserServiceErrorCodes.meta.xml
      git rm ams/linux/webclient-services/SharedComponents-8.0.8.0/rsFrame2/plugins/rola/com.rola.radium.webmodule.amsbv/resourcegroups/labels/UserServiceErrorCodes_DEV.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/boot/boot.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/logging/logback-dev.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/logging/logback-extensions.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/logging/logback-hpov-appender.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/logging/logback-json-appender.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/logging/logback-level-custom.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/logging/logback-level-defaults.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/logging/logback-mappings-codebased.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/logging/logback-mappings-rulebased.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/frameworkconfig/logging/logback.xml
      git rm ams/linux/webclient-services/rsAmsBvService-8.0.8.0/service/config/rsAmsBvService.conf      
      git add .
      git -c user.name='Ansible Playbook' -c user.email='ansible@playbook' commit -m "ams_0013_8.0.9.0"
      exit 0
    args:
      chdir: "/opt/rola"      
      
      


















